#
# spec file for package ppp (Version 2.4.1)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  libpcap linux-atm
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib gcc gdbm gettext libpcap libtool libz linux-atm pam perl rpm

Name:         ppp
Version:      2.4.1
Release:      350
License:      LGPL, Other License(s), see package
Group:        Productivity/Networking/PPP
Autoreqprov:  on
Provides:     ppp_ssl
Obsoletes:    ppp_ssl ppp-soho
Summary:      PPP ("Point to Point Protocol") for Linux
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source0:      ftp://ftp.samba.org:/pub/ppp/ppp-%{PACKAGE_VERSION}.tar.bz2
Source1:      ppp.pamd
Source2:      pap-secrets.template
Source3:      chap-secrets.template
Source5:      options
Source6:      cbcp.sh
# dial on demand peers file
Source7:      demand-peers
# several peers file
Source8:      pppoe-peers
Source9:      pppoe-rp-peers
Source10:     pppoatm-peers
# Makefile changes (including enabling PAM support and CBCP support)
Patch0:       ppp-2.4.1.dif
# some fixes
Patch1:       ppp-2.3.10-fixes.dif
# sample files
Patch2:       ppp-2.3.11-samples.dif
# force pppd use the glibc's logwtmp instead of implementing its own
Patch3:       ppp-2.3.9-wtmp.dif
# only change perms really needed, will avoid the missing tty permissions bug
Patch4:       ppp-2.4.0-ttyperms.dif
# replacedefaultroute option
Patch5:       cifdefroute.dif
# passwordfd plugin
Patch6:       ppp-2.3.11-pwfd.dif
# pppoed dial on demand
Patch7:       ppp-2.3.11-oedod.dif
# pppoe plugin
Patch8:       ppp-2.4.1-pppoe.patch4
# mppe patch
Patch9:       ppp-2.4.1-openssl-0.9.6-mppe.patch
# accept only eth* devices for pppoe
Patch10:      ppp-2.4.1-only-eth.dif
# pppoatm patch
Patch11:      ppp-2.4.1-pppoatm.dif
# more log output without debug option for smpppd
Patch12:      ppp-2.4.1-smpppd.dif
# security fix for zlib
Patch13:      ppp-2.4.1-zfree.patch
# mtu hell
Patch14:      mtu.diff
Patch15:      ppp-2.4.1-mru.patch

%description
The ppp package contains the PPP (Point-to-Point Protocol) daemon,
pppd, additional ppp utilities, documentation and sample files.
PPP provides a method for transmitting IP and IPX datagrams over
serial point-to-point links, for example over modem links.
The PPP daemon handles the details of setting up a PPP link including
configuring the network interface and performing the PPP negotiations.

Authors:
--------
    Paul Mackerras <paul.mackerras@cs.anu.edu.au>
    Michael Callahan <callahan@maths.ox.ac.uk>
    Al Longyear <longyear@netcom.com>
    Brad Parker <brad@faster.fcr.com>
    Greg Christy <gmc@premises1.Qutoron.COM>
    Michal Ostrowski <mostrows@styx.uwaterloo.ca>

SuSE series: n

%prep
%setup
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch7 -p0
%patch8 -p1
%patch6 -p0
%patch9 -p1
%patch10 -p0
%patch11 -p1
%patch12 -p0
%patch13 -p1 -b .zfree
%patch14 -p0
%patch15 -p1
cp $RPM_SOURCE_DIR/options sample/
cd pppd
sh $RPM_SOURCE_DIR/cbcp.sh

%build
./configure
make CHAPMS=1 USE_CRYPT=1 HAS_SHADOW=1 USE_PAM=1 FILTER=1

%install
rm -rf %{buildroot}
make install MANDIR=%{buildroot}/%{_mandir} DESTDIR=%{buildroot}
install -d -o root -g dialout -m 750		%{buildroot}/etc/ppp
install -m 644 sample/{options,options.ttyXX}	%{buildroot}/etc/ppp/
install -m 600 %{S:2}				%{buildroot}/etc/ppp/pap-secrets
install -m 600 %{S:3}				%{buildroot}/etc/ppp/chap-secrets
install -d 755					%{buildroot}/etc/ppp/peers
install -o root -g root -m 644 %{S:7}		%{buildroot}/etc/ppp/peers/demand
install -o root -g root -m 644 %{S:8}		%{buildroot}/etc/ppp/peers/pppoe
install -o root -g root -m 644 %{S:9}		%{buildroot}/etc/ppp/peers/pppoe-rp
install -o root -g root -m 644 %{S:10}		%{buildroot}/etc/ppp/peers/pppoatm
install -d 755					%{buildroot}/etc/pam.d
install -m 644 %{S:1}				%{buildroot}/etc/pam.d/ppp
chmod 755 %{buildroot}/usr/lib/pppd/%{PACKAGE_VERSION}/pppoe.so
chmod 644 %{buildroot}/%{_mandir}/*/*
strip --strip-debug %{buildroot}/usr/lib/pppd/%{PACKAGE_VERSION}/*.so

%clean
rm -rf %{buildroot}

%files
%dir /etc/ppp/peers
%config(noreplace) /etc/ppp/options
%config(noreplace) /etc/ppp/pap-secrets
%config(noreplace) /etc/ppp/chap-secrets
%config(noreplace) /etc/ppp/peers/*
%config(noreplace) /etc/pam.d/ppp
%doc FAQ README README.[Mcl]* scripts sample
%doc provider provider.chatscript SETUP
%doc %{_mandir}/*/*
/usr/sbin/*
%dir /usr/lib/pppd
%dir /usr/lib/pppd/%{PACKAGE_VERSION}
/usr/lib/pppd/%{PACKAGE_VERSION}/*

%changelog -n ppp
* Thu May 22 2003 - okir@suse.de
- prevent buffer overflow in MPPE (#27062)
* Fri Dec 20 2002 - kkeil@suse.de
- enable activ-filter option
* Wed Mar 13 2002 - arvin@suse.de
- better mtu handling as workaround for broken dsl providers
* Fri Feb 08 2002 - arvin@suse.de
- fixed error handling in passwordfd plugin
* Fri Feb 08 2002 - okir@suse.de
- applied security fix to zlib
* Tue Feb 05 2002 - arvin@suse.de
- more log output without debug option so that the smpppd does
  not require the debug option
- removed debug option from peers files
- use %%{_mandir}
* Wed Jan 30 2002 - arvin@suse.de
- use buildroot
- compile pppoatm plugin on all archs again
* Fri Jan 11 2002 - arvin@suse.de
- added terminating NULL in options list of passwordfd plugin
* Fri Jan 11 2002 - arvin@suse.de
- don't compile pppoatm plugin on axp and s390
* Wed Jan 09 2002 - arvin@suse.de
- added "modprobe pppoatm" in pppoatm plugin
* Tue Jan 08 2002 - arvin@suse.de
- fixed compiling on ia64
* Mon Jan 07 2002 - arvin@suse.de
- added atm support
- modified peers files for new network configuration
* Mon Nov 05 2001 - arvin@suse.de
- set MTU and MRU to 1492 (to prevent problems for DSL)
* Thu Sep 27 2001 - arvin@suse.de
- added rc-pppoe peers file
* Wed Sep 19 2001 - arvin@suse.de
- added patch only-eth.dif: makes pppoe plugin only accect eth*
  as device and thus prevents kernel from trying to load dozens
  of modules (bug #10845)
* Tue Aug 28 2001 - arvin@suse.de
- strip plugins
* Mon Aug 13 2001 - arvin@suse.de
- updated pppoe patch to ppp-2.4.1-pppoe.patch4
* Thu Aug 09 2001 - arvin@suse.de
- added Obsoletes ppp-soho
- added peers file pppoe
* Tue Jul 17 2001 - arvin@suse.de
- added directories to file list
* Wed Jul 11 2001 - arvin@suse.de
- removed obsolete generation of pap and chap secrets form
  wvdial provider list
* Sun Jun 24 2001 - arvin@suse.de
- updated to version 2.4.1
- added peers file "demand" (from package pppoed)
* Thu May 10 2001 - mfabian@suse.de
- bzip2 sources
* Fri Apr 20 2001 - arvin@suse.de
- added options lcp-max-configure 60 and lcp-restart 2
* Fri Mar 30 2001 - arvin@suse.de
- added mppe patch
- search for plugins in /usr/lib/pppd/<version> (backport from
  pppd 2.4.1)
- moved all plugins to /usr/lib/pppd/<version>
* Wed Feb 28 2001 - arvin@suse.de
- moved all plugins to /usr/lib/pppd/plugins
* Thu Feb 15 2001 - arvin@suse.de
- included pppoe patch from Michal Ostrowski
* Thu Nov 09 2000 - arvin@suse.de
- updated to version 2.4.0
* Mon Sep 11 2000 - arvin@suse.de
- Fixed plugin passwordfd for chap.
* Mon Jul 31 2000 - arvin@suse.de
- Added (commented) option "maxfail 3" to options. Partly fix
  for bug #3637.
* Thu Jul 13 2000 - arvin@suse.de
- removed directory /var/state/pppd from spec file. It is not
  needed and only got there by accident.
* Mon Jul 10 2000 - bk@suse.de
- fixed bug with replacedefaultroute and dial on demand(route was lost)
- fixed Open message of demand patch for ICMP(was displayed as UDP)
* Tue Jul 04 2000 - arvin@suse.de
- Support for dial on demand with sync ppp.
- On dial on demand log witch packed caused the connect. Example:
  Open UDP 212.185.229.193:2048 -> 216.32.74.51:22926
- Fixed plugin passwordfd for dial on demand.
* Mon Jun 05 2000 - arvin@suse.de
- fixed bug in plugin passwordfd
* Fri Jun 02 2000 - arvin@suse.de
- added plugin passwordfd to read password via a pipe
- replacedefaultroute option fixed for pppd demand
* Fri Mar 03 2000 - ro@suse.de
- manpages ..
* Thu Mar 02 2000 - bk@suse.de
- fixed patch path strip count for ppp-2.3.11.dif
- added comment about modem and local options to /etc/ppp/options
* Wed Mar 01 2000 - bk@suse.de
- copied ppp-2.3.11.dif from ppp_ssl(fixes MANPATH) and filelist fixed.
* Sat Feb 26 2000 - bk@suse.de
- removed priviledged property from (no)replacedefaultroute, this
  way wvdial can set it in /etc/ppp/peers/wvdial with call wvdial.
* Fri Feb 25 2000 - bk@suse.de
- disabled new replacedefaultroute option per default, can be controlled
  thru the replacedefaultroute and noreplacedefaultroute options.
* Fri Feb 25 2000 - bk@suse.de
- wrote patch which replaces the old defaut route on successfully
  completed IPCP negotiation unless the included noreplacedefaultroute
  option is given. Documented in the man page and /etc/ppp/options.
  On connection shutdown, the old default route is restored automatically.
  Nice feature for many people with laptops which have a default
  route set trough their ethernet and want go online with their
  modem if not connected to the ethernet. Should reduce support
  load in this area dramatically.
* Sun Feb 20 2000 - bk@suse.de
- only change tty perms really needed, will avoid the loosing tty
  perms bug (bug #1831 and 1361)
- disabled noipdefault in the default options file for static IP addresses
  and dial-in. wvdial still passes it to pppd if Force Address is not
  set in wvdial.conf, so no problem. (Fix for bug #1751)
* Fri Feb 11 2000 - bk@suse.de
- generate pap and chap secrets with callbycall.secrets
- Makefile.Linux merged into the spec file and dropped from diff
* Sun Jan 16 2000 - bk@suse.de
- update to ppp-2.3.11
* Fri Oct 29 1999 - bk@suse.de
- added logins for german call-by-call providers to the secrets
- removed suse dialin scripts
* Mon Oct 25 1999 - olh@suse.de
- add some sample scripts, minor sample changes
* Sun Oct 24 1999 - bk@suse.de
- fix for empty files in /usr/doc/packages/ppp (olh: thanks for the report!!)
* Sun Oct 10 1999 - bk@suse.de
- update to ppp-2.3.10
- split up diff
- removed not installed ppplogin which also didn't appear in the
  file list lately
- removed proxyarp from the default options file
- force pppd use the glibc's logwtmp instead of implementing its own
  (patch for ppp-2.3.9, but is preferred for 2.3.10 also)
- added the samples to /usr/doc/packages/ppp
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Aug 30 1999 - kukuk@suse.de
- add pppdump.8
* Thu Aug 19 1999 - bk@suse.de
- added documentation
* Thu Jul 29 1999 - bs@suse.de
- set /etc/ppp to 750, root.dialout
- use noauth in /etc/ppp/options
* Sat Jul 17 1999 - bk@suse.de
- /etc/ppp/option fixed wins-addr, corrected to ms-wins
* Mon Jun 14 1999 - kukuk@suse.de
- Enable PAM support, add ppp.pamd
* Sat May 22 1999 - bk@suse.de
- update to ppp-2.3.8 using diff from jurix
- added ppp-2.3.8-patch1
- marked /etc/ppp/options as noreplace
* Mon Dec 14 1998 - tmg@suse.de
- changed default config
* Wed Dec 09 1998 - bs@suse.de
- marked config files as noreplace
* Tue Nov 24 1998 - ro@suse.de
- don't pack if_ppp.h (delivered by glibc)
* Tue Oct 06 1998 - ro@suse.de
- update to ppp-2.3.5 using diff from jurix
- re-activate ppp_available in sys-linux.c
* Mon Nov 03 1997 - ro@suse.de
- install include files in usr/include/net before compilation
* Wed Apr 30 1997 - florian@suse.de
- create eror output file with perm 0600
- pppd is only executable for group "dialout"
* Thu Jan 02 1997 - florian@suse.de
- add bug-fix
- add ipx support
